Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Create Conversation Turn

post/v1/conversations

Send one turn of a conversation. Returns Archie's reply.

Request bodyapplication/json

FieldTypeDescription
messagesChatMessage[]β€”
item shape
messagestringShorthand for `messages: [{role: 'user', content: ...}]`.
conversation_idstringEcho back the id from a prior reply to thread turns.
client_idstringOptional client/workspace identifier for scoped answers.
localestringβ€”
jurisdictionstringβ€”

Responses

200Assistant reply
FieldTypeDescription
objectrequiredstringβ€”
conversation_idrequiredstringβ€”
skillrequiredstringβ€”
correlation_idstringβ€”
messagerequiredobjectβ€”
show nested
FieldTypeDescription
rolerequiredstringβ€”
contentrequiredstringβ€”
citationsCitation[]β€”
item shape
400Invalid request body
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/v1/conversations \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "messages": [
         {
           "role": "user",
           "content": "string"
         }
       ],
       "message": "string",
       "conversation_id": "string",
       "client_id": "string",
       "locale": "string",
       "jurisdiction": "string"
     }'